​
Select Service
ves-io-schema-bgp_asn_set-API-List
Published April 5, 2023 | Last modified May 20, 2026
Examples of listing bgp_asn_set
Usecase:
List all the bgp_asn_set objects in the namespace
Request using vesctl:
vesctl configuration list bgp_asn_set --namespace documentation
vesctl yaml response:
errors: []items:- annotations: {} labels: {} name: bgp-asn-anonymous namespace: documentation statusSet: [] tenant: acmecorp uid: ae993ff1-a4c6-4ab9-9839-bf5e98fdf978- annotations: {} labels: {} name: bgp-asn-whitelist namespace: documentation statusSet: [] tenant: acmecorp uid: b3d41294-cf40-4969-9967-0aa2ccf7285bRequest using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1414723615_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/documentation/bgp_asn_sets'curl response
HTTP/1.1 200 OKContent-Length: 856Content-Type: application/jsonDate: Mon, 13 Apr 2026 01:59:08 GMTVary: Accept-Encoding
{ "items": [ { "tenant": "acmecorp", "namespace": "documentation", "name": "bgp-asn-anonymous", "uid": "ae993ff1-a4c6-4ab9-9839-bf5e98fdf978", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] }, { "tenant": "acmecorp", "namespace": "documentation", "name": "bgp-asn-whitelist", "uid": "b3d41294-cf40-4969-9967-0aa2ccf7285b", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] } ], "errors": [ ]}